Skip to main content
GET
List Miner Tasks

Authorizations

Authorization
string
header
required

Clerk Machine API Key for authentication

Path Parameters

workspace_id
string
required
farm_id
string
required
miner_id
string
required

Query Parameters

page
number

Page number (default: 1)

Required range: x >= 1
Example:

1

pageSize
number

Number of items per page (default: 10, max: 10000)

Required range: 1 <= x <= 10000
Example:

10

task_name
enum<string>

Miner task name

Available options:
agent.scan.create,
agent.ip_diagnosis.create,
agent.self.update,
miner.system.reboot,
miner.log.get,
miner.light.update,
miner.power_mode.update,
miner.pool.update,
miner.pool.lock,
miner.firmware.update,
miner.tags.update,
miner.record.delete,
miner.rack_location.update
Example:

"miner.log.get"

status
enum<string>

Task execution status. created = enqueued but not yet picked up by an agent; queuing = accepted by the agent and waiting in its local queue; pending = actively executing on the miner; succeed = finished successfully; failed = finished with an error; timed_out = exceeded its execution deadline; cancelled = aborted before completion.

Available options:
created,
queuing,
pending,
succeed,
failed,
timed_out,
cancelled
Example:

"succeed"

from_time
string<date-time>

Start time for task history in ISO 8601 format with timezone offset. Must be within the last 7 days. Defaults to 7 days ago if not provided

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
to_time
string<date-time>

End time for task history in ISO 8601 format with timezone offset. Must be within the last 7 days. Defaults to now if not provided

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$

Response

Successfully retrieved miner tasks

success
boolean
required

Indicates if the request was successful

Example:

true

data
Miner Task · object[]
required

Array of items

pagination
object
required

Pagination metadata

error
null
required

Error object (null on success)

Example:

null